## xorg 7.5+5ubuntu1

=== debian/changelog ===
xorg (1:7.5+5ubuntu1) lucid; urgency=low

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 01 Apr 2010 14:27:16 +0300

xorg (1:7.5+5) unstable; urgency=low

  * Fix typo in Xsession.d/50x11-common_determine-startup, closes: #573899.
  * Bump Standards-Version to 3.8.4, no changes needed.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 14 Mar 2010 22:45:09 +0100

xorg (1:7.5+4) unstable; urgency=low

  * Add Xreset and Xreset.d support, closes: #230422.
  * Improve startup speed of Xsession.d scripts by eliminating all unnecessary
    external program calls, thanks Martin Pitt, closes: #570447.
    - In 20x11-common_process-args, cat $OPTIONFILE once into a variable and
      use POSIX variable substitution in all scripts instead of calling grep
      for every single test.
    - Use shell built in "type" instead of external "which" to test for
      programs.
    - 30x11-common_xresources: Swap the order of tests to keep the most
      unlikely (like "~/.Xresources exists") outside, to avoid running the
      other tests (like "xrdb exists") on systems which don't use Xresources.

 -- Brice Goglin <bgoglin@debian.org>  Sun, 14 Mar 2010 11:15:07 +0100

xorg (1:7.5+3ubuntu1) lucid; urgency=low

  [Timo Aaltonen]
  * Merge from debian unstable
  * 50x11-common_determine-startup: Fix a typo in the option name
    (LP: #526532)

  [Bryce Harrington]
  * debian/apport/source_xorg.py: Fix proprietary module detection logic to
    not send all crash bugs to -nvidia.

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 09 Mar 2010 13:09:08 -0800

xorg (1:7.5+3) unstable; urgency=low

  * Remove the obsolete x11proto-evie-dev from xorg-dev dependencies.

 -- Brice Goglin <bgoglin@debian.org>  Wed, 27 Jan 2010 16:54:23 +0100

xorg (1:7.5+2) unstable; urgency=low

  * Fix typo in debian/scripts/vars.hurd-i386.  Thanks, Samuel Thibault!
  * Add fbdev and vmware video drivers to -all on hurd.  Requested by Samuel
    Thibault.
  * Remove myself from Uploaders
  * Kill xorg-dev dependency on x11proto-fontcache-dev.

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Jan 2010 03:34:30 +0100

xorg (1:7.5+1ubuntu12) lucid; urgency=low

  * debian/local/Failsafe:
    + udev rules don't have a particular environment set, so we must
      set it up ourselves in order to get $LANG and $LANGUAGE so that
      translations work properly.
      (LP: #528908)
  * debian/apport/source_xorg.py:
    + Only file crash bugs with no traceback against nvidia/fglrx

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 03 Mar 2010 15:36:28 -0800

xorg (1:7.5+1ubuntu11) lucid; urgency=low

  * Reapply changes from 1:7.5+1ubuntu6, which got clobbered by a later
    upload:
    - Introduce an Xsession.d function has_option() to simplify option
      checking. (LP: #530675)
    - Fix $OPTIONFILE parsing to only match keywords on the beginning of
      lines.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 02 Mar 2010 15:42:08 +0100

xorg (1:7.5+1ubuntu10) lucid; urgency=low

  * debian/apport/source_xorg.py
    + Fix various small problems which caused the hook to fail.
    + Use root_command_outupt to read gdm log files, as they require root to
      read.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 01 Mar 2010 18:40:57 +1100

xorg (1:7.5+1ubuntu9) lucid; urgency=low

  [ Bryce Harrington ]
  * debian/x11-common.links:
    + Update links for renamed packages
    + Add apport hook for nvidia-graphics-drivers
    + Add apport hook for -vmmouse (LP: #517664)
    + Remove apport hooks for packages now removed from repository
  * debian/apport/source_xorg.py:
    + Add tagging of release codename
    + Collect gdm logs as root
    + Remove extraneous checking of $DISPLAY
    + Detect vbox, fglrx, and nvidia and file bugs against the respective
      packages instead.
      (LP: #516264)
  
  [ Timo Aaltonen ]
  * debian/x11-common.links: Add xf86-input-evtouch and -wacom.

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 23 Feb 2010 18:45:03 -0800

xorg (1:7.5+1ubuntu8) lucid; urgency=low

  * debian/scripts/vars.powerpc, debian/scripts/vars.ppc64: Remove the
    dependency on xserver-xorg-video-nouveau. Xserver-xorg-video-nouveau
    depends on linux backport modules packages that are unavailable on
    powerpc. (LP: #525683)

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 23 Feb 2010 19:24:12 +1100

xorg (1:7.5+1ubuntu7) lucid; urgency=low

  * debian/local/Failsafe/failsafeXServer:
    + Actually produce xorg.conf.failsafe with the detected driver.
      Important for failures while running in KMS mode.
      (LP: #496773)
    + Force overwrite of existing xorg.conf.failsafe.  Since above
      change produces different xorg.conf.failsafe's depending on
      what driver was selected, we must force it to regen each time.
      (LP: #480747)

 -- Bryce Harrington <bryce@ubuntu.com>  Mon, 22 Feb 2010 22:38:22 -0800

xorg (1:7.5+1ubuntu6) lucid; urgency=low

  * debian/scripts/*: Revert last change; we still need -nv for riva and a
    few other oddball cases.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 18 Feb 2010 23:57:54 -0800

xorg (1:7.5+1ubuntu5) lucid; urgency=low

  * debian/scripts/*: Drop -nv from xserver-xorg-video-all

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 18 Feb 2010 19:57:10 -0800

xorg (1:7.5+1ubuntu4) lucid; urgency=low

    * debian/scripts/*: Add -nouveau to xserver-xorg-video-all.
    * debian/apport/source_xorg.py: Check if dkms is present before pulling
      info from it, to avoid error messages on FOSS-only systems.
  
 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 11 Feb 2010 17:26:07 -0800

xorg (1:7.5+1ubuntu3) lucid; urgency=low

  * Improve startup speed of Xsession.d scripts by eliminating all unnecessary
    external program calls:
    - In 20x11-common_process-args, cat $OPTIONFILE once into a variable and
      use POSIX variable substitution in all scripts instead of calling grep
      for every single test.

