## xorg 7.5+5ubuntu1charlotte3

=== debian/changelog ===
xorg (1:7.5+5ubuntu1charlotte3) lucid; urgency=low

  * debian/control: make xserver-xorg-video-imx [arm armel] only

 -- Alex Chiang <achiang@canonical.com>  Wed, 09 Feb 2011 09:44:39 -0700

xorg (1:7.5+5ubuntu1charlotte2) lucid; urgency=low

  * debian/control: add Depends: xserver-xorg-video-imx

 -- Alex Chiang <achiang@canonical.com>  Mon, 07 Feb 2011 16:35:48 -0700

xorg (1:7.5+5ubuntu1charlotte1) lucid; urgency=low

  * debian/control: remove Depends on xserver-xorg-video-all, only depend
    on xserver-xorg-video-fbdev, xserver-xorg-video-vesa to save disk space.

 -- Alex Chiang <achiang@canonical.com>  Tue, 04 Jan 2011 15:21:18 -0700
