## xorg 7.5+5ubuntu1hedley2

=== debian/changelog ===
xorg (1:7.5+5ubuntu1hedley2) lucid; urgency=low

  * debian/control: Drop -input-all dependency, replace with -evdev. We'll
    seed the necessary drivers explicitly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 May 2010 15:46:03 +0200

xorg (1:7.5+5ubuntu1hedley1) lucid; urgency=low

  * debian/control: Drop -video-all dependency, replace with -fbdev. Since OEM
    builds do not use Tasks, but install the actual metapackage, merely
    seeding the necessary video drivers is not sufficient (they are still
    seeded explicitly, though).

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 21 May 2010 12:27:43 +0200
