=== debian/control ===
--- 
+++ 
@@ -86,10 +86,8 @@
 Replaces: xserver-common (<< 7), x11-common (<< 1:7.3+11)
 Depends:
  xserver-xorg-core (>= 2:1.7),
- xserver-xorg-video-fbdev, xserver-xorg-video-vesa,
- xserver-xorg-video-imx [arm armel],
- xserver-xorg-input-all | xserver-xorg-input-7,
- xserver-xorg-input-evdev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc sparc],
+ xserver-xorg-video-fbdev | xserver-xorg-video-6,
+ xserver-xorg-input-evdev | xserver-xorg-input-7,
  hal (>= 0.5.12~git20090406) [kfreebsd-any],
  ${shlibs:Depends},
  ${misc:Depends},
@@ -333,3 +331,7 @@
  x11-common,
 Description: X Window System utility programs metapackage
  xutils provides a set of utility programs shipped with the X Window System.
+ Many of these programs are useful even on a system that does not have any X
+ clients or X servers installed.
+ .
+ This package is provided for transition from earlier Debian releases, the
