## xorg 7.5+5ubuntu1.1

=== debian/changelog ===
xorg (1:7.5+5ubuntu1.1) lucid-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 16 Jan 2012 10:36:52 -0500
