## xorg 7.5+6ubuntu3.1

=== debian/changelog ===
xorg (1:7.5+6ubuntu3.1) maverick-security; urgency=low

  * SECURITY UPDATE: console requirement bypass (LP: #918332)
    - debian/local/xserver-wrapper.c: drop alternative TTY support, and
      also reset effective group id. Patch obtained from Debian squeeze
      update.
    - CVE-2011-4613

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 18 Jan 2012 13:27:52 -0500

xorg (1:7.5+6ubuntu3) maverick; urgency=low

  [ Bryce Harrington ]
  * debian/apport/source_xorg.py:
    + Include .drirc if present
    + Include gconf's /desktop/gnome/peripherals data
    + Quell DkmsStatus no such file error message
  * debian/x11-common.links:
    + Add source package apport hook for xorg-server.  Otherwise,
      apport-collect fails when used on bugs against xorg-server package.

  [ Christopher James Halse Rogers ]
  * Depend on xserver 1.9RC5, bump video and input ABI's

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 09 Aug 2010 20:34:00 +1000

xorg (1:7.5+6ubuntu2) maverick; urgency=low

  * debian/apport/source_xorg.py:
    + Detect a previous manual install of the nvidia.com drivers, and ask the
      user if they have uninstalled them.
    + Attach the neccesary information for upstreaming nvidia binary bugs.
    + Attach KMS connector information if available.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 23 Jun 2010 17:07:53 +1000

xorg (1:7.5+6ubuntu1) maverick; urgency=low

  * Merge from Debian unstable.
  * Depend on xserver 1.8, bump video and input ABI's.

 -- Robert Hooker <sarvatt@ubuntu.com>  Sun, 06 Jun 2010 21:11:01 -0400

xorg (1:7.5+6) unstable; urgency=medium

  * Drop radeonhd from xserver-xorg-video-all.  We switched to kernel
    modesetting for radeon, and that clashes with this driver.
  * Drop v4l from xserver-xorg-video-all.  It depends on the obsolete V4L1
    API, see #569103.
  * Add nouveau to xserver-xorg-video-all on linux x86 and powerpc.  Other
    arches can be added later if needed.
  * x11-common.init: don't include /usr/{s,}bin in PATH, since we only depend
    on $local_fs [lintian].

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 May 2010 13:34:32 +0200
