## xorg 7.5+8

=== debian/changelog ===
xorg (1:7.5+8) unstable; urgency=low

  [ Julien Cristau ]
  * Add support for sparc64 (closes: #596828).  Thanks, Aurélien Jarno!
  * Use linux-any instead of an ever-changing list of architectures for the
    xserver-xorg-input-evdev dependency.

  [ Cyril Brulebois ]
  * Add a symlink to use xserver-xorg-core’s bug script so that we get
    more info when one runs “reportbug xorg”.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Oct 2010 14:20:28 +0200

xorg (1:7.5+7) unstable; urgency=low

  [ Julien Cristau ]
  * Nuke x11-common's Conflicts.  This was needed for upgrades from the
    monolith, which aren't relevant anymore.
  * Also drop Pre-Depends on debconf.  The debconf interaction in
    x11-common.preinst was removed in 1:7.4+2.
  * Drop versioned build-dep on dpkg 1.7.0.  Even woody had that..
  * Drop x11-common Depends on debianutils 1.13.  That was also in woody.
  * Add xserver-xorg-video-geode to -all on i386 (closes: #567909).

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Update Debian po files by running debconf-updatepo (through
    debian/rules clean).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 04 Sep 2010 19:39:41 +0200
