## xorg 7.5+8+squeeze1

=== debian/changelog ===
xorg (1:7.5+8+squeeze1) squeeze-security; urgency=low

  * xserver-wrapper: when we drop privileges, don't forget to also reset
    effective group id, since we're installed setgid root.
  * xserver-wrapper: revert change to allow devices with major 5 as consoles.
    This includes things like /dev/tty and /dev/ptmx, which are
    world-readable (closes: #652249).  Thanks to vladz for the report.
    Reference: CVE-2011-4613.

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 Dec 2011 19:54:40 +0100
