## xorg 7.6%2b12ubuntu1

=== debian/changelog ===
xorg (1:7.6+12ubuntu1) precise; urgency=low

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Mar 2012 19:42:07 +0200

xorg (1:7.6+12) unstable; urgency=high

  * Fix unsafe manipulation of /tmp/.X11-unix and /tmp/.ICE-unix in the
    x11-common init script.  A malicious user could trick us into changing
    ownership/permissions of an arbitrary directory, and elevate their
    privileges (closes: #661627).  Reference: CVE-2012-1093.  Thanks to
    "vladz", Tim Morgan and Bernhard R. Link for their help getting this right
    (any remaining bugs are my own).

 -- Julien Cristau <jcristau@debian.org>  Sat, 03 Mar 2012 18:54:30 +0100

xorg (1:7.6+11) unstable; urgency=low

  * Team upload.
  * debian/local/Xsession.d/35x11-common_xhost-local: add a new script 
    to the default X session. It will give access to the running X 
    server to the logged on user. This is useful for gdm3 which does not 
    give access to $XAUTHORITY outside the session, but can also be of 
    use for other display managers. Closes: #586685.

 -- Josselin Mouette <joss@debian.org>  Sat, 28 Jan 2012 12:42:38 +0100

xorg (1:7.6+10ubuntu1) precise; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests. Demote xfonts-scalable to
      Recommends.
    - debian/local/Xsession:
      Truncate xsession-errors on startup if too big
    - debian/local/Xsession.d/20x11-common_process-args:
      Add support for session command containing args.
    - debian/local/Xsession.d/60x11-common_localhost:
      Authorise all processes running with the user's credentials to connect
      to the server.
    - debian/local/Xsession.d/60x11-common_xdg_path:
      Add session script to set xdg path depending on the selected session.
    - debian/rules, debian/control:
      Add dependencies on x11-common, since pkgbinarymangler moves the docs
      there to save some space on the image.
    - debian/scripts/vars.*:
      + Don't drop wacom from input-all.
      + Add -vmmouse to input-all for amd64 and i386.
      + Add -qxl to video-all for amd64 and i386.
      + Add -geode to video-all for i386.
      + Drop video drivers that are likely irrelevant for ARM.
      + Drop apm, ark, chips, i128, i740, rendition, s3virge, tseng, voodoo
        from xserver-xorg-video-all dependencies. They are unmaintained and
        obsolete.
    - debian/x11-common.{preinst,postinst,postrm}.in:
      Clean up the old failsafe-x files.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 23 Jan 2012 07:38:32 +0200

xorg (1:7.6+10) unstable; urgency=high

  * Fixes for xserver-wrapper:
    - when we drop privileges, don't forget to also reset effective group id,
      since we're installed setgid root.
    - revert change to allow devices with major 5 as consoles.  This includes
      things like /dev/tty and /dev/ptmx, which are world-readable (closes:
      #652249).  Thanks to vladz for the report.
      Reference: CVE-2011-4613.
    - use major() and minor() macros instead of manually extracting them
  * Build the X wrapper with hardening enabled.

 -- Julien Cristau <jcristau@debian.org>  Thu, 15 Dec 2011 23:45:48 +0100

xorg (1:7.6+9) unstable; urgency=low

  [ Julien Cristau ]
  * Copy debian/scripts/vars.s390 to debian/scripts/vars.s390x
    (closes: #637902).  Thanks, Aurélien Jarno!
  * Bump xserver-xorg-core dependency to 1.11.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 24 Sep 2011 11:08:54 +0200

xorg (1:7.6+8) unstable; urgency=high

  [ Julien Cristau ]
  * Add Provides: xserver to xserver-xorg.
  * Add Serbian cyrillic and Serbian latin debconf translations (closes:
    #635009, #635016).  Thanks, Zlatan Todoric!
  * Use dbus activation to restart hal on kfreebsd, its init script is gone
    (closes: #624398).

  [ Cyril Brulebois ]
  * Merge xsf-docs up to the f931b66804 commit:
    - Update: reference/squeeze-backports
  * Set urgency to “medium” for the HAL vs. GNU/kFreeBSD bug fix, and then
    to “high” to speed up backporting since this source package is the last
    missing step.
  * Run debian-updatepo, and specify language fields.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 14 Aug 2011 23:11:05 +0200

xorg (1:7.6+7ubuntu7) oneiric; urgency=low

  * Add '/etc/init/failsafe-x.conf' to the list of old failsafe-x config
    files to purge.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 09 Sep 2011 15:33:19 +0300

xorg (1:7.6+7ubuntu6) oneiric; urgency=low

  * debian/control: Remove Recommends on xdiagnose as well; apparently it
    still causes gtk3 to be included for kubuntu.  Derivative distros will
    need to opt-in with their seeds if they wish to have X diagnostics
    included, or users will have to manually install xdiagnose themselves.

 -- Bryce Harrington <bryce@ubuntu.com>  Fri, 22 Jul 2011 13:30:15 -0700

xorg (1:7.6+7ubuntu5) oneiric; urgency=low

  * debian/control: Move xdiagnose dependency to ubuntu-desktop.
    xdiagnose has a gtk dependency, which would pull in gtk3 to kubuntu.
    (LP: #814346)

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 21 Jul 2011 17:47:16 -0700

xorg (1:7.6+7ubuntu4) oneiric; urgency=low

  * debian/control:  Add Depends on xdiagnose, to ensure it always gets
    installed.

 -- Bryce Harrington <bryce@ubuntu.com>  Tue, 19 Jul 2011 18:19:24 -0700

xorg (1:7.6+7ubuntu3) oneiric; urgency=low

  * debian/rules:
    - Reverse the symlinking of /usr/share/doc directories to x11-common.
      This should now be handled automatically by pkgbinarymangler, and the
      directory symlink now causes file conflicts.  (LP: #812665)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 19 Jul 2011 17:32:01 +1000

xorg (1:7.6+7ubuntu2) oneiric; urgency=low

  * debian/local/Xsession.d/60x11-common_xdg_path: Add session script to
    set xdg path depending on the selected session (compatible with
    lightdm, gdm and kdm now) (LP: #804734)
